
#include <stdio.h>

#define MAXINT	32767	/* maximum size integer */
#define MAXLINE 128
#define MAXSCAN 128


static
_fputc(c, fp)
int c;
FILE *fp;
{
	putc(c, fp);
}


/* Formatted print routine */
printf(nargs)
	{
/*	int fputc();		/* function _fmt will use as output */
	_fmt(_fputc, stdout, &nargs + nargs);
	}
/* Write formatted output to a file */
fprintf(nargs)
	{
/*	int fputc();		/* function _fmt will use as output */
	register *p;

	p = &nargs + nargs;	/* address of first arg (file ptr) */
	_fmt(_fputc, *p, p - 1);	/* _fmt does the formatting */
	}
